"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkit/build/temp.win-amd64-cpython-311/Release/rdkit_install\\share/RDKit\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C84400>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C84540>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C844A0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C845E0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C84680>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C84720>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C847C0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C84860>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C84900>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C849A0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C84A40>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C84AE0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C84B80>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C84C20>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C84CC0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C84D60>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C84E00>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C84EA0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C84F40>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C84FE0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C85080>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C85120>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C851C0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C85260>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C85300>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C853A0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C85440>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C854E0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C85580>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C85620>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C856C0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C85760>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C85800>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C858A0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C85940>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C859E0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C85A80>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C85B20>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C85BC0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C85C60>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C85D00>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C85DA0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C85E40>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C85EE0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C85F80>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C86020>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C860C0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C86160>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C86200>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C862A0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C86340>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C863E0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C86480>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C86520>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C865C0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C86660>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C86700>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C867A0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C86840>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C868E0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C86980>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C86A20>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C86AC0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C86B60>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C86C00>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C86CA0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C86D40>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C86DE0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C86E80>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C86F20>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C86FC0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C87060>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C87100>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C871A0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C87240>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C872E0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C87380>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C87420>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C874C0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C87600>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C87560>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C876A0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C87740>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C877E0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x0000025DA9C87880>)]
name: str = 'fr_HOCCN'
